#include <bits/stdc++.h>

using namespace std;

int mx(int a[], int n, int i){
    if(i==n-1)return i;
    int r=mx(a, n, i+1);
    if(a[i]>a[r])return i;
    return r;
}

int main(){
    int n, a[100005];
    cin>>n;
    for(int i=0; i<n; i++)
        cin>>a[i];
    for(int i=0; i<n; i++){
        int r=mx(a, n, i);
        if(r!=i){
            swap(a[i], a[r]);
            break;
        }
    }
    for(int i=0; i<n; i++)
        cout<<a[i]<<' ';
    return 0;
}